org.apache.jmeter.protocol.http.parser

## Class HTMLParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.jmeter.protocol.http.parser.LinkExtractorParseException
      - - org.apache.jmeter.protocol.http.parser.HTMLParseException

- All Implemented Interfaces:
    java.io.Serializable

      public class HTMLParseException
      extends LinkExtractorParseException

  Exception class for use with `HTMLParser` classes.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLParseException()`
    `HTMLParseException(java.lang.String message)`
    `HTMLParseException(java.lang.String message, java.lang.Throwable cause)`
    `HTMLParseException(java.lang.String message, java.lang.Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
    `HTMLParseException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTMLParseException

          public HTMLParseException()

    - #### HTMLParseException

          public HTMLParseException(java.lang.String message)

    - #### HTMLParseException

          public HTMLParseException(java.lang.Throwable cause)

    - #### HTMLParseException

          public HTMLParseException(java.lang.String message,
                                    java.lang.Throwable cause)

    - #### HTMLParseException

          public HTMLParseException(java.lang.String message,
                                    java.lang.Throwable cause,
                                    boolean enableSuppression,
                                    boolean writableStackTrace)

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.